## kross 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
project(Kross VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})


include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMQtDeclareLoggingCategory)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

ecm_setup_version(PROJECT VARIABLE_PREFIX KROSS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kross_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfigVersion.cmake"
                        SOVERSION 5)

set(REQUIRED_QT_VERSION 5.14.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Script Xml Widgets UiTools)


find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
   PURPOSE "Required for tests"
   TYPE OPTIONAL
   )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
   set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION})

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_definitions(-DTRANSLATION_DOMAIN=\"kross5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
    if (KF5DocTools_FOUND)
        kdoctools_install(po)
    endif()
endif()
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

add_subdirectory(src)
if (BUILD_TESTING)
add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Kross")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KrossConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kross_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KrossTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KrossTargets.cmake NAMESPACE KF5::)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/core/CMakeLists.txt ===

file(GLOB _KROSSCOREHEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
#message(STATUS _KROSSCOREHEADERS=${_KROSSCOREHEADERS})
foreach(_KROSSCOREHEADER ${_KROSSCOREHEADERS})
    string(REGEX MATCH ".*_p\\.h" _ISPRIVATE ${_KROSSCOREHEADER})
    #message(STATUS "_ISPRIVATE=${_ISPRIVATE} _KROSSCOREHEADER=${_KROSSCOREHEADER}")
    if (NOT _ISPRIVATE)
        if (NOT EXISTS ${_INCDIR}/core/${_KROSSCOREHEADER})
            file(WRITE ${_INCDIR}/core/${_KROSSCOREHEADER} "#include \"${CMAKE_CURRENT_SOURCE_DIR}/${_KROSSCOREHEADER}\"\n")
        endif()
    endif()
endforeach()
if (NOT EXISTS ${_INCDIR}/core/krosscore_export.h)
    file(WRITE ${_INCDIR}/core/krosscore_export.h "#include \"${CMAKE_CURRENT_BINARY_DIR}/krosscore_export.h\"\n")
endif()

set(krosscore_LIB_SRCS
   krossconfig.cpp
   interpreter.cpp
   script.cpp
   action.cpp
   actioncollection.cpp
   manager.cpp
   metafunction.cpp
   object.cpp
)

ecm_qt_declare_logging_category(
    krosscore_LIB_SRCS
    HEADER kross_debug.h
    IDENTIFIER KROSS_LOG
    CATEGORY_NAME kf.kross.core
)

add_library(KF5KrossCore ${krosscore_LIB_SRCS})
generate_export_header(KF5KrossCore BASE_NAME KrossCore)

target_include_directories(KF5KrossCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KrossCore>")

target_link_libraries(KF5KrossCore
PUBLIC
   Qt5::Script
   Qt5::Xml
PRIVATE
   Qt5::Widgets
   KF5::I18n
)

target_include_directories(KF5KrossCore PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../include>")

set_target_properties(KF5KrossCore PROPERTIES VERSION ${KROSS_VERSION_STRING}
                                   SOVERSION ${KROSS_SOVERSION}
                                   EXPORT_NAME KrossCore
                     )


ecm_generate_headers(KrossCore_CamelCase_HEADERS
  HEADER_NAMES
  ErrorInterface
  ChildrenInterface
  WrapperInterface
  Interpreter
  Script
  Action
  ActionCollection
  Manager
  Object
  MetaType
  MetaFunction
  KrossConfig

  PREFIX Kross/Core
  REQUIRED_HEADERS KrossCore_HEADERS
)
# apps include <Kross/Core/Object> or <kross/core/object.h>
install(FILES ${KrossCore_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KrossCore/Kross/Core COMPONENT Devel)

add_library(KF5::KrossCore ALIAS KF5KrossCore)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/krosscore_export.h
  ${KrossCore_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KrossCore/kross/core COMPONENT Devel) # apps include <kross/core/object.h>

install(TARGETS KF5KrossCore EXPORT KF5KrossTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KrossCore LIB_NAME KF5KrossCore DEPS "script xml" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KrossCore)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kross (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:25 +0900

kross (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

kross (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

kross (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:55 +0900

kross (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:45 +0200

kross (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:37 +0200

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78.0~),
               libkf5completion-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5doctools-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5iconthemes-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5parts-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.78.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qtscript5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.14.0~),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kross
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross.git
Rules-Requires-Root: no

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.78.0~),
         libkf5iconthemes-dev (>= 5.78.0~),
         libkf5kio-dev (>= 5.78.0~),
         libkf5parts-dev (>= 5.78.0~),
         libkf5widgetsaddons-dev (>= 5.78.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same

## kross 5.80.0

=== debian/changelog ===
kross (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:15 +0000

kross (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:25 +0000

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
-               libkf5completion-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5doctools-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5iconthemes-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5parts-dev (>= 5.78.0~),
-               libkf5widgetsaddons-dev (>= 5.78.0~),
-               libkf5xmlgui-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               libkf5completion-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5doctools-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5iconthemes-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5parts-dev (>= 5.80.0~),
+               libkf5widgetsaddons-dev (>= 5.80.0~),
+               libkf5xmlgui-dev (>= 5.80.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qtscript5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.14.0~),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kross
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross
@@ -44,13 +44,13 @@
 Section: libdevel
 Architecture: any
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.78.0~),
-         libkf5iconthemes-dev (>= 5.78.0~),
-         libkf5kio-dev (>= 5.78.0~),
-         libkf5parts-dev (>= 5.78.0~),
-         libkf5widgetsaddons-dev (>= 5.78.0~),
+         libkf5i18n-dev (>= 5.80.0~),
+         libkf5iconthemes-dev (>= 5.80.0~),
+         libkf5kio-dev (>= 5.80.0~),
+         libkf5parts-dev (>= 5.80.0~),
+         libkf5widgetsaddons-dev (>= 5.80.0~),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for kross
  Modular scripting framework that eases embedding
  of scripting interpreters like Python, Ruby and

## kross 5.82.0

=== debian/changelog ===
kross (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:25 +0100

kross (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5completion-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5doctools-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5iconthemes-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5parts-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5xmlgui-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.82.0~),
+               libkf5completion-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5doctools-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5iconthemes-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5parts-dev (>= 5.82.0~),
+               libkf5widgetsaddons-dev (>= 5.82.0~),
+               libkf5xmlgui-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qtscript5-dev (>= 5.14.0~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.80.0~),
-         libkf5iconthemes-dev (>= 5.80.0~),
-         libkf5kio-dev (>= 5.80.0~),
-         libkf5parts-dev (>= 5.80.0~),
-         libkf5widgetsaddons-dev (>= 5.80.0~),
+         libkf5i18n-dev (>= 5.82.0~),
+         libkf5iconthemes-dev (>= 5.82.0~),
+         libkf5kio-dev (>= 5.82.0~),
+         libkf5parts-dev (>= 5.82.0~),
+         libkf5widgetsaddons-dev (>= 5.82.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Description: development files for kross

## kross 5.86.0

=== debian/changelog ===
kross (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:22 +0100

kross (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:46 +0100

kross (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:40 +0100

kross (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
-               libkf5completion-dev (>= 5.82.0~),
-               libkf5coreaddons-dev (>= 5.82.0~),
-               libkf5doctools-dev (>= 5.82.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5iconthemes-dev (>= 5.82.0~),
-               libkf5kio-dev (>= 5.82.0~),
-               libkf5parts-dev (>= 5.82.0~),
-               libkf5widgetsaddons-dev (>= 5.82.0~),
-               libkf5xmlgui-dev (>= 5.82.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5completion-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5doctools-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5iconthemes-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5parts-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5xmlgui-dev (>= 5.86.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qtscript5-dev (>= 5.14.0~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.82.0~),
-         libkf5iconthemes-dev (>= 5.82.0~),
-         libkf5kio-dev (>= 5.82.0~),
-         libkf5parts-dev (>= 5.82.0~),
-         libkf5widgetsaddons-dev (>= 5.82.0~),
+         libkf5i18n-dev (>= 5.86.0~),
+         libkf5iconthemes-dev (>= 5.86.0~),
+         libkf5kio-dev (>= 5.86.0~),
+         libkf5parts-dev (>= 5.86.0~),
+         libkf5widgetsaddons-dev (>= 5.86.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Description: development files for kross

## kross 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
-project(Kross VERSION ${KF5_VERSION})
+set(KF_VERSION "5.92.0") # handled by release scripts
+set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+project(Kross VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.78.0  NO_MODULE)
+find_package(ECM 5.92.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,6 +17,7 @@
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMGenerateExportHeader)
 
 include(ECMQtDeclareLoggingCategory)
 
@@ -29,7 +30,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfigVersion.cmake"
                         SOVERSION 5)
 
-set(REQUIRED_QT_VERSION 5.14.0)
+set(REQUIRED_QT_VERSION 5.15.2)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Script Xml Widgets UiTools)
 
 
@@ -43,24 +44,27 @@
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
-find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5DocTools ${KF5_DEP_VERSION})
+find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5DocTools ${KF_DEP_VERSION})
 
+# remove definitions set by KDEFrameworkCompilerSettings which we fail to meet
+remove_definitions(-DQT_NO_KEYWORDS)
+remove_definitions(-DQT_NO_FOREACH)
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
+# ideally we would support QT_NO_KEYWORDS, but at least we can do this
+add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kross5\")
-if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-    ki18n_install(po)
-    if (KF5DocTools_FOUND)
-        kdoctools_install(po)
-    endif()
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+    kdoctools_install(po)
 endif()
 if (KF5DocTools_FOUND)
     add_subdirectory(docs)

=== debian/changelog ===
kross (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:35 +0000

kross (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:47 +0000

kross (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:48 +0000

kross (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:33 +0000

kross (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:12:06 +0000

kross (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kross (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:00:12 +0900

kross (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kross (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:05:31 +0900

kross (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:09 +0900

kross (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:23:55 +0900

kross (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:19:07 +0900

kross (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

kross (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

kross (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               libkf5completion-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5iconthemes-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5parts-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kross
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Rules-Requires-Root: no

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.92.0~),
         libkf5iconthemes-dev (>= 5.92.0~),
         libkf5kio-dev (>= 5.92.0~),
         libkf5parts-dev (>= 5.92.0~),
         libkf5widgetsaddons-dev (>= 5.92.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kross-([\d.]+)\.tar\.xz

## kross 5.98.0

=== debian/changelog ===
kross (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:29 +0100

kross (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:49 +0100

kross (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:32 +0100

kross (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:18 +0100

kross (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:21:04 +0100

kross (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5completion-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5doctools-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5parts-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5completion-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5doctools-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5parts-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.15.2~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.92.0~),
-         libkf5iconthemes-dev (>= 5.92.0~),
-         libkf5kio-dev (>= 5.92.0~),
-         libkf5parts-dev (>= 5.92.0~),
-         libkf5widgetsaddons-dev (>= 5.92.0~),
+         libkf5i18n-dev (>= 5.98.0~),
+         libkf5iconthemes-dev (>= 5.98.0~),
+         libkf5kio-dev (>= 5.98.0~),
+         libkf5parts-dev (>= 5.98.0~),
+         libkf5widgetsaddons-dev (>= 5.98.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kross

## kross 5.100.0

=== debian/changelog ===
kross (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:07 +0100

kross (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:28 +0200

kross (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:43 +0200

kross (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:12 +0200

kross (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:08 +0200

kross (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200

kross (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: kross
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5completion-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5doctools-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5iconthemes-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5parts-dev (>= 5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
-               libkf5xmlgui-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5completion-dev (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5doctools-dev (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
+               libkf5iconthemes-dev (>= 5.100.0~),
+               libkf5kio-dev (>= 5.100.0~),
+               libkf5parts-dev (>= 5.100.0~),
+               libkf5widgetsaddons-dev (>= 5.100.0~),
+               libkf5xmlgui-dev (>= 5.100.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.15.2~),
                xauth,
                xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kross
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross.git
 Rules-Requires-Root: no
 
 Package: kross
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.98.0~),
-         libkf5iconthemes-dev (>= 5.98.0~),
-         libkf5kio-dev (>= 5.98.0~),
-         libkf5parts-dev (>= 5.98.0~),
-         libkf5widgetsaddons-dev (>= 5.98.0~),
+         libkf5i18n-dev (>= 5.100.0~),
+         libkf5iconthemes-dev (>= 5.100.0~),
+         libkf5kio-dev (>= 5.100.0~),
+         libkf5parts-dev (>= 5.100.0~),
+         libkf5widgetsaddons-dev (>= 5.100.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kross

## kross 5.101.0

=== debian/changelog ===
kross (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5completion-dev (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5doctools-dev (>= 5.100.0~),
-               libkf5i18n-dev (>= 5.100.0~),
-               libkf5iconthemes-dev (>= 5.100.0~),
-               libkf5kio-dev (>= 5.100.0~),
-               libkf5parts-dev (>= 5.100.0~),
-               libkf5widgetsaddons-dev (>= 5.100.0~),
-               libkf5xmlgui-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.101.0~),
+               libkf5completion-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5doctools-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
+               libkf5iconthemes-dev (>= 5.101.0~),
+               libkf5kio-dev (>= 5.101.0~),
+               libkf5parts-dev (>= 5.101.0~),
+               libkf5widgetsaddons-dev (>= 5.101.0~),
+               libkf5xmlgui-dev (>= 5.101.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.15.2~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.100.0~),
-         libkf5iconthemes-dev (>= 5.100.0~),
-         libkf5kio-dev (>= 5.100.0~),
-         libkf5parts-dev (>= 5.100.0~),
-         libkf5widgetsaddons-dev (>= 5.100.0~),
+         libkf5i18n-dev (>= 5.101.0~),
+         libkf5iconthemes-dev (>= 5.101.0~),
+         libkf5kio-dev (>= 5.101.0~),
+         libkf5parts-dev (>= 5.101.0~),
+         libkf5widgetsaddons-dev (>= 5.101.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kross

## kross 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(Kross VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -18,7 +18,7 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMGenerateExportHeader)
-
+include(ECMDeprecationSettings)
 include(ECMQtDeclareLoggingCategory)
 
 include(KDEInstallDirs)
@@ -61,6 +61,9 @@
 # ideally we would support QT_NO_KEYWORDS, but at least we can do this
 add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
 
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+)
 add_definitions(-DTRANSLATION_DOMAIN=\"kross5\")
 ki18n_install(po)
 if (KF5DocTools_FOUND)
@@ -69,7 +72,6 @@
 if (KF5DocTools_FOUND)
     add_subdirectory(docs)
 endif()
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
 
 add_subdirectory(src)
 if (BUILD_TESTING)

=== debian/changelog ===
kross (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:33 +0100

kross (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:12 +0100

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.103.0~),
               libkf5completion-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5doctools-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5iconthemes-dev (>= 5.103.0~),
               libkf5kio-dev (>= 5.103.0~),
               libkf5parts-dev (>= 5.103.0~),
               libkf5widgetsaddons-dev (>= 5.103.0~),
               libkf5xmlgui-dev (>= 5.103.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kross
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross.git
Rules-Requires-Root: no

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.103.0~),
         libkf5iconthemes-dev (>= 5.103.0~),
         libkf5kio-dev (>= 5.103.0~),
         libkf5parts-dev (>= 5.103.0~),
         libkf5widgetsaddons-dev (>= 5.103.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kross (>= ${binary:Version}),
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same

## kross 5.104.0

=== debian/changelog ===
kross (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:05 +0000

kross (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:55 +0000

kross (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:28 +0000

kross (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:06 +0000

kross (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:26 +0000

kross (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:42 +0000

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.104.0~),
               libkf5completion-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5doctools-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5iconthemes-dev (>= 5.104.0~),
               libkf5kio-dev (>= 5.104.0~),
               libkf5parts-dev (>= 5.104.0~),
               libkf5widgetsaddons-dev (>= 5.104.0~),
               libkf5xmlgui-dev (>= 5.104.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kross
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Rules-Requires-Root: no

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.104.0~),
         libkf5iconthemes-dev (>= 5.104.0~),
         libkf5kio-dev (>= 5.104.0~),
         libkf5parts-dev (>= 5.104.0~),
         libkf5widgetsaddons-dev (>= 5.104.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same
